import PieChart from '@/components/PieChart';
import Tabs from '@/components/Tabs';
import { CaretDownOutlined, CaretUpOutlined } from '@ant-design/icons';
import { Flex, Progress, Space } from 'antd';
import { memo, useMemo } from 'react';
import { useGlobalModalServices } from '../../provider';
import styles from './index.less';
import LineCharts from './LineCharts';
/**行政处罚modal */
const AdministPunish = () => {
  const { dispatch } = useGlobalModalServices();
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #AAFFF6 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN',
    fontSize: '36px',
    fontWeight: 700,
    lineHeight: 1.1,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    // fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: 1.1,
  };

  const commonUnitStyle = {
    color: 'rgb(188, 206, 233)',
    // fontFamily: '微软雅黑',
    fontSize: '14px',
    fontWeight: 400,
    lineHeight: 1.1,
  };
  const pieData = useMemo(() => {
    return [
      {
        name: '简易程序',
        value: 1234,
        percent: '16',
      },
      {
        name: '普通程序',
        value: 1234,
        percent: '16',
      },
    ];
  }, []);
  return (
    <div className={styles.container}>
      <div className={styles.topWarp}>
        <div className={styles.totalWarp}>
          <div className={styles.title}>总体情况</div>
          <div className={styles.content}>
            <div
              className={styles.itemS}
              onClick={() => {
                dispatch.push('AdministPunishList', {
                  headerLeft: () => {
                    return (
                      <div
                        style={{
                          color: 'rgb(43, 218, 255)',
                          fontSize: 18,
                          marginLeft: 20,
                        }}
                      >
                        备注：简易程序的案件不在此列表
                      </div>
                    );
                  },
                  // props: {
                  //   data: selected,
                  //   indexs: indexs,
                  // },
                });
              }}
            >
              <div className={styles.label}>
                <img
                  src={require('@/assets/images/administPunish/cfIcon.png')}
                  alt=""
                  className={styles.icon}
                />
                <span>行政处罚件数</span>
              </div>
              <div className={styles.desc}>
                <div style={commonValueStyle}>
                  187<span style={commonUnitStyle}>件</span>
                </div>
                <div>
                  <span>环比</span>
                  <span>
                    <CaretUpOutlined style={{ color: 'rgb(29, 187, 138)' }} />
                    <CaretDownOutlined style={{ color: 'red' }} />
                  </span>
                  <span className={styles.count}>0.25</span>
                  <span>%</span>
                </div>
              </div>
            </div>
            <div
              className={styles.itemS}
              style={{ marginTop: 10 }}
              onClick={() => {
                dispatch.push('AdministPunishList', {
                  headerLeft: () => {
                    return (
                      <div
                        style={{
                          color: 'rgb(43, 218, 255)',
                          fontSize: 18,
                          marginLeft: 20,
                        }}
                      >
                        备注：简易程序的案件不在此列表
                      </div>
                    );
                  },
                  // props: {
                  //   data: selected,
                  //   indexs: indexs,
                  // },
                });
              }}
            >
              <div className={styles.label}>
                <img
                  src={require('@/assets/images/administPunish/fkIcon.png')}
                  alt=""
                  className={styles.icon}
                />
                <span>罚款金额</span>
              </div>
              <div className={styles.desc}>
                <div style={commonValueStyle}>
                  187<span style={commonUnitStyle}>万元</span>
                </div>
                <div>
                  <span>环比</span>
                  <span>
                    <CaretUpOutlined style={{ color: 'rgb(29, 187, 138)' }} />
                    <CaretDownOutlined style={{ color: 'red' }} />
                  </span>
                  <span className={styles.count}>0.25</span>
                  <span>%</span>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div className={styles.tendency}>
          <div className={styles.title}>行政处罚趋势</div>
          <div className={styles.unit}>单位：件</div>
          <div style={{ width: '100%' }}>
            <LineCharts
              data={[
                60, 50, 60, 70, 50, 70, 50, 60, 70, 50, 80, 50, 60, 70, 50, 60,
                50, 60, 70, 50,
              ]}
              style={{ width: 1000, height: 130 }}
            />
          </div>
        </div>
      </div>
      <div className={styles.bottomWarp}>
        <div className={styles.breakTop}>
          <div className={styles.title}>违法行为类型TOP5</div>
          <div className={styles.content}>
            {[
              { percent: 80, value: 20, name: '占到经营' },
              { percent: 80, value: 20, name: '占到经营' },
              { percent: 80, value: 20, name: '占到经营' },
              { percent: 80, value: 20, name: '占到经营' },
            ].map((item, index) => {
              return (
                <div className={styles.litsItem} key={index}>
                  <Flex justify="space-between">
                    <div className={styles.name}>{item.name}</div>
                    <Space size={10} className={styles.numBox}>
                      <div className={styles.num}>
                        <span>{item?.value}</span>
                        <span>件</span>
                      </div>
                      <div className={styles.num}>
                        <span>{Number(item?.percent ?? 0).toFixed(2)}</span>
                        <span>%</span>
                      </div>
                    </Space>
                  </Flex>

                  <Progress
                    size={{ height: 15 }}
                    percent={item?.percent}
                    showInfo={false}
                    strokeColor={{ from: '#79FFD1', to: '#00B9FF' }}
                    status="active"
                  />
                </div>
              );
            })}
          </div>
        </div>

        <div className={styles.hightTop}>
          <div className={styles.title}>办案数量TOP5</div>
          <Tabs
            style={{
              background: 'transparent',
              height: '30px',
              marginTop: 10,
            }}
            itemStyle={{
              borderRadius: '25px',
              background: 'rgba(7, 50, 93, 0.8)',
              fontSize: '16px',
              marginLeft: 8,
            }}
            onChange={() => {}}
            itemkey={'key'}
            items={[
              {
                key: 'mainClass',
                label: '全部',
              },
              {
                key: 'subClass',
                label: '中心城区',
              },
              {
                key: 'subdivisionClass',
                label: '城市新区',
              },
              {
                key: 'subdiv2sionClass',
                label: '郊区新区',
              },
            ]}
          />
          <div className={styles.content}>
            {[
              { percent: 80, value: 20, name: '高新区' },
              { percent: 80, value: 20, name: '武侯' },
              { percent: 80, value: 20, name: '天府新区' },
            ].map((item, index) => {
              return (
                <div className={styles.litsItem} key={index}>
                  <Flex justify="space-between">
                    <div className={styles.name}>{item.name}</div>
                    <Space size={10} className={styles.numBox}>
                      <div className={styles.num}>
                        <span>{item?.value}</span>
                        <span>件</span>
                      </div>
                      <div className={styles.num}>
                        <span>{Number(item?.percent ?? 0).toFixed(2)}</span>
                        <span>%</span>
                      </div>
                    </Space>
                  </Flex>

                  <Progress
                    size={{ height: 15 }}
                    percent={item?.percent}
                    showInfo={false}
                    strokeColor={{ from: '#79FFD1', to: '#00B9FF' }}
                    status="active"
                  />
                </div>
              );
            })}
          </div>
        </div>

        <div className={styles.transaction}>
          <div className={styles.title}>程序类型</div>
          <PieChart
            style={{ width: '100%', flexDirection: 'column' }}
            chartStyle={{ width: 180, height: 180 }}
            labelClassName={styles.labelClassName}
            // labelStyle={{ height: 175, overflow: 'auto', width: 293 }}
            data={pieData || []}
            labelStyle={{ maxWidth: 100 }}
            color={['#ff9b5d', '#ffe335']}
          />
        </div>
      </div>
    </div>
  );
};
export default memo(AdministPunish);
