import BlueTable from '@/components/BlueTable';
import { useGlobalModalServices } from '@/pages/GlobalModalServices/provider';

import { useMemo, useState } from 'react';

const AreaSynergyList = () => {
  const [fetchParams, setFetchParams] = useState<any>({
    data: {
      pageNo: 1,
      pageSize: 10,
    },
  });
  const { dispatch } = useGlobalModalServices();
  const columns = useMemo(() => {
    return [
      {
        title: '上报时间',
        dataIndex: 'wh',
        key: 'descgldw',
        width: 150,
        ellipsis: true,
      },
      {
        title: '事件大类',
        dataIndex: 'type',
        key: 'descgldw',
        width: 150,
        ellipsis: true,
      },
      {
        title: '事件小类',
        dataIndex: 'ss',
        key: 'descgldw',
        width: 350,
        ellipsis: true,
      },
      {
        title: '交办部门',
        dataIndex: 'rq',
        key: 'descgldw',
        width: 350,
        ellipsis: true,
      },
      {
        title: '所属区域',
        dataIndex: 'rq',
        key: 'descgldw',
        width: 150,
        ellipsis: true,
      },
      {
        title: '操作',
        dataIndex: 'c',
        key: 'dictdldj_name',
        width: 100,
        ellipsis: true,
        render: (val: string, record: any) => {
          return (
            <div
              onClick={() => {
                dispatch.push('AreaSynergyDetails', {
                   // title:'行政处罚详情'
                  // props: {
                  //   data: selected,
                  //   indexs: indexs,
                  // },
                });
              }}
              style={{
                color: 'rgb(36, 164, 255)',
                fontSize: 20,
                fontWeight: 700,
                cursor: 'pointer',
              }}
            >
              详情
            </div>
          );
        },
      },
    ];
  }, []);
  return (
    <div>
      <BlueTable
        //   dataSource={tableData?.data?.data?.records}
        dataSource={[
          {
            wh: '523655411223',
            type: '扬尘类',
            ss: '80x公司在天府新区正兴街道云龙路保利XXXXXXX天府和颂80x公司在天府新区正兴街道云龙路保利XXXXXXX天府和颂',
            rq: '2023-03-01',
          },
        ]}
        columns={columns}
        scroll={{ x: 1050, y: 550 }}
        pagination={{
          // total: tableData?.data?.data?.page?.total,
          pageSize: fetchParams?.data?.count,
          showQuickJumper: false,
          showSizeChanger: false,
          onChange: (page, pageSize) => {
            setFetchParams({
              ...fetchParams,
              data: {
                pageNo: page - 1,
                pageSize: pageSize,
              },
            });
          },
          //  hideOnSinglePage: true,
        }}
      />
    </div>
  );
};
export default AreaSynergyList;
