import Tabs from '@/components/Tabs';
import { DatePicker } from 'antd';
import dayjs from 'dayjs';
import styles from './index.less';
const { RangePicker } = DatePicker;
const TopSarch = ({ onChange }: { onChange: (val: any) => void }) => {
  return (
    <div className={styles.container}>
      <Tabs
        style={{
          background: 'transparent',
          height: '30px',
        }}
        itemStyle={{
          borderRadius: '25px',
          background: 'rgba(7, 50, 93, 0.8)',
          fontSize: '16px',
          marginLeft: 8,
        }}
        onChange={(e) => {
          if (e === 'day') {
            onChange({
              startTime: dayjs().format('YYYY-MM-DD'),
              endTime: dayjs().format('YYYY-MM-DD'),
            });
          }
          if(e==='month'){
            onChange({
              startTime: dayjs().startOf('month').format('YYYY-MM-DD'),
              endTime: dayjs().endOf('month').format('YYYY-MM-DD'),
            });
          }
          if (e === 'year') {
            onChange({
              startTime: dayjs().startOf('year').format('YYYY-MM-DD'),
              endTime: dayjs().endOf('year').format('YYYY-MM-DD'),
            });
          }
        }}
        itemkey={'key'}
        items={[
          {
            key: 'day',
            label: '今日',
          },
          {
            key: 'month',
            label: '本月',
          },
          {
            key: 'year',
            label: '本年',
          },
        ]}
      />
      <div className={styles.rangWarp}>
        <RangePicker onChange={(e)=>{

        }}/>
      </div>
    </div>
  );
};

export default TopSarch;
