import DescriptionItem from '@/components/DescriptionItem';
import { Flex } from 'antd';
import React from 'react';
import styles from './index.less';

const CityLighting: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #AAFFF6 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN',
    fontSize: '36px',
    fontWeight: 700,
    lineHeight: 1.1,
  };

  // const valueStyle = {
  //   ...commonValueStyle,
  //   marginTop: '120px !important',
  // };

  const commonLabelStyle = {
    color: '#BCCEE9',
    // fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: 1.1,

    // marginTop: '-10px',
  };

  const labelStyle = {
    ...commonLabelStyle,
    width: '85%',
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    // fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: 1.1,
  };

  return (
    <div className={styles.container}>
      <Flex vertical gap={0}>
        <DescriptionItem
          value={17.76}
          name="中心城区道路照明灯盏"
          unit="万盏"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
          decimals={2}
        />
        <Flex justify="space-between" style={{ marginTop: '28px' }}>
          <DescriptionItem
            value={99.74}
            name="中心城区路灯完好率"
            unit="%"
            valueStyle={commonValueStyle}
            labelStyle={labelStyle}
            unitStyle={commonUnitStyle}
            decimals={2}
          />
          <DescriptionItem
            value={99.6}
            name="中心城区亮灯率"
            unit="%"
            valueStyle={commonValueStyle}
            labelStyle={labelStyle}
            unitStyle={commonUnitStyle}
            decimals={1}
          />
        </Flex>
      </Flex>
    </div>
  );
};

export default CityLighting;
