import DescriptionItem from '@/components/DescriptionItem';
import { Flex, Space } from 'antd';
import React from 'react';
import styles from './index.less';
import CountUp from 'react-countup';
import LineCharts from '../LineCharts';

const MunicipalFacilities: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #AAFFF6 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN',
    fontSize: '36px',
    fontWeight: 700,
    lineHeight: 1.1,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    // fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: 1.1,
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    // fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: 1.1,
  };

  return (
    <div className={styles.container}>
      <Flex vertical gap={15}>
        <Space size={15}>
          <span className={styles.label} style={commonLabelStyle}>近七日发现道桥病害 </span>
          <CountUp
            className={styles.value}
            end={Number(17365)}
            style={commonValueStyle}
            preserveValue
            decimals={0}
          />
          <span className={styles.unit} style={commonUnitStyle}>
            处
          </span>
        </Space>
        <div>
          <LineCharts data={[]} />
        </div>
        <Flex justify='space-between'>
          <DescriptionItem
            value={289}
            name="市管桥梁"
            unit="座"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
          <DescriptionItem
            value={162}
            name="市管道路"
            unit="条"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
        </Flex>
      </Flex>
    </div>
  );
};

export default MunicipalFacilities;
