import DescriptionItem from '@/components/DescriptionItem';
import { Flex } from 'antd';
import React from 'react';
import styles from './index.less';

const WasteDisposal: React.FC = () => {
  const commonValueStyle = {
    background: 'linear-gradient(180deg, #AAFFF6 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
    fontFamily: 'D-DIN',
    fontSize: '36px',
    fontWeight: 700,
    lineHeight: 1.1,
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    // fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: 1.1,
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    // fontFamily: '微软雅黑',
    fontSize: '20px',
    fontWeight: 400,
    lineHeight: 1.1,
  };

  return (
    <div className={styles.container}>
      <Flex vertical gap={0}>
        <Flex gap={90}>
          <DescriptionItem
            value={2}
            name="填埋厂"
            unit="个"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
          <DescriptionItem
            value={11}
            name="焚烧发电厂"
            unit="个"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
        </Flex>
        <div style={{ marginTop: '28px' }}>
          <DescriptionItem
            value={5}
            name="餐厨厂"
            unit="个"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
            decimals={0}
          />
        </div>
      </Flex>
    </div>
  );
};

export default WasteDisposal;
